Download it now!
Bug 99802 - Template manager: unable to use templates saved under subfolders
Summary: Template manager: unable to use templates saved under subfolders
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2016-05-12 16:15 UTC by Marina Latini (CIB)
Modified: 2018-12-13 11:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
dummy folder with subfolders and dummy templates ready to test (23.46 KB, application/zip)
2016-05-12 16:15 UTC, Marina Latini (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marina Latini (CIB) 2016-05-12 16:15:06 UTC
Created attachment 125011 [details]
dummy folder with subfolders and dummy templates ready to test

The template manager hide the templates stored in subfolders.

Steps:
1) create a folder (named templatemanager) with a subfolder named folder1
2) create a new subfolder in folder1 named folder2
3) create a template and save it in folder2
4) add the templatemanager folder in Tools->Options->LibreOffice-Paths->Templates

Expected: the template in folder2 is visible from the template manager

Current: if the template is stored in folder2 is hidden while is visible when stored in folder1.

If you prefer use the attached test folder :)

Tested on:

Version: LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
OS: openSUSE Tumbleweed (20160422) (x86_64)

Version 3.6.7.2 (Build ID: e183d5b)
OS: openSUSE Tumbleweed (20160422) (x86_64)

Version: 4.2.8.2
Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd
OS: openSUSE Tumbleweed (20160422) (x86_64)

Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: it_IT.UTF-8
OS: openSUSE Tumbleweed (20160422) (x86_64)

Version: 5.1.3.1
Build ID: 10m0(Build:1)
Thread CPU: 4; Versione SO: Linux 4.5; Resa interfaccia: predefinito; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160422) (x86_64)

Version: 5.2.0.0.alpha0+
Build ID: 101e5bbc8aaa77d5db36e0969a512b5a283f1672
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-18_06:04:45
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160422) (x86_64)
Comment 1 Buovjaga 2016-05-15 13:03:06 UTC
Repro with test materials.

64-bit, KDE Plasma 5
Build ID: 5.1.3.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 Samuel Mehrbrodt (CIB) 2016-06-07 12:47:52 UTC
With the redesigned template manager, we no longer support two-level subfolders.

Could you please test with current master if your bug is fixed, or if we need to do anything here?
Comment 3 Marina Latini (CIB) 2016-06-07 21:42:07 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #2)

> 
> Could you please test with current master if your bug is fixed, or if we
> need to do anything here?

Hi Samuel,
after a test with:

Version: 5.3.0.0.alpha0+
Build ID: b3f1afc28fa537e6d4ff15de457a4a9dc4af809e
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-06_23:04:29
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed 20160603 (x86_64)

I can't open a template stored in two-level subfolder
Comment 4 QA Administrators 2017-09-01 11:19:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901